Thread Closed
KODI 17.6 NON NEON FOR Tegra 2 and Android 4.0.3
#1
Kodi 17.6 for old devices

Changes:
Processor Support WITHOUT Neon instructions (tegra 2 and the like)
Backport for Android 4.0.3

Purpose: Allow devices to have an over life.

Attention only install this version if the official (via google play) does not work on your device.

Please report which device you have installed this version and if it worked of course, inform data like device model and android version

Below the link: https://www.dropbox.com/s/e60v40tud2k6ml...g.apk?dl=0

If your android is less than version 4.1.2 (Jelly Bean) or has an error trying to play a video, you will need to disable the "Media Codec", as below:
Go to Settings (to the right of the power button) -> go to Player Settings -> in the last option (left bottom) change from Standard to Expert -> go Video option (first option) and in the right panel, disable the options:
  • Allow hardware acceleration - MediaCodec (Surface)
  • Allow hardware acceleration - MediaCodec

Hugs!
#2
Thank you very much mate for doing this for us !!! Blush

I will test it in my Galaxy Tab 8.9 GT-P7300 with version 4.0.4 Ice Cream Sandwich and then i will leave the feedback here.

One question, Can you make one log here about your modified version from kodi (what tools you removed like for exemple PVR) ? Wink

Regards
#3
So, I just changed the build for processors without neon intruction (tegra 2) and did the backport to android 4.0.3.

I tried to send with all the pvr's, but only tested the iptv client.

The installation of addons is possible, however the addons that have built-in compiles, probably will not work, because they usually compile with NEON.
Hugs
#4
thanks a lot @tetramarreta
u did it again!

work on my motorola xoom with android 4.4.4
had to deactivate the hardware support options for some mkv files

u breathe new life into these devices ...
#5
(2018-01-11, 11:59)andPS2 Wrote: thanks a lot @tetramarreta
u did it again!

work on my motorola xoom with android 4.4.4
had to deactivate the hardware support options for some mkv files

u breathe new life into these devices ...
I have an old Hisilicon Hi3716c device, I was able to implement the hardware acceleration and it was perfect.

I'm happy to be able to resurrect old devices, found show some app's work on android 2.3+, I think should be premise.

Unfortunately the Media Codec only from the android Jelly Bean (4.1.2) and even so in many rom's is not well implemented, and have taken some Kodi acceleration libraries, such as libstagefright, but we will continue to give about life to the soc's old.

Hugs
#6
First of all I want to say thank you for taking the time to help us out. Your APK did indeed install perfectly on my device.
Specs;
Fire 8.9" HD 2nd generation
Android 4.0.4
Dual-core 1.5 GHz Cortex-A9 processor
PowerVR SGX544 GPU
1GB of RAM
TI OMAP 4470 chipset
HTML 5
802.11 a/b/g/n wireless 

The add-ons install without a problem but none seem to work. For example, I open up USTVNow and nothing happens beyond the circulating circle.
If I force stop and go back into Kodi and the same add-on, I am able to go in to the next window and so on, and so on, until I get to select a stream but it never goes beyond the thinking circle.

I'm not sure what can be missing on this Fire but maybe more RAM? Will keep trying more add-ons to see if those work as well.

If you have any suggestions or anything for me to try, I would appreciate any help. I know there's lots of people that have this awesome tablet that probably want Kodi as well. Thank you once again.
#7
(2018-01-23, 20:45)vivalalibertad Wrote: First of all I want to say thank you for taking the time to help us out. Your APK did indeed install perfectly on my device.
Specs;
Fire 8.9" HD 2nd generation
Android 4.0.4
Dual-core 1.5 GHz Cortex-A9 processor
PowerVR SGX544 GPU
1GB of RAM
TI OMAP 4470 chipset
HTML 5
802.11 a/b/g/n wireless 

The add-ons install without a problem but none seem to work. For example, I open up USTVNow and nothing happens beyond the circulating circle.
If I force stop and go back into Kodi and the same add-on, I am able to go in to the next window and so on, and so on, until I get to select a stream but it never goes beyond the thinking circle.

I'm not sure what can be missing on this Fire but maybe more RAM? Will keep trying more add-ons to see if those work as well.

If you have any suggestions or anything for me to try, I would appreciate any help. I know there's lots of people that have this awesome tablet that probably want Kodi as well. Thank you once again.
You have to get the log, enable, check out wwwww in section 1.2.3.
I tested IPTV and it worked fine, but only with the log to understand what is going on.

Hugs
#8
Hi tetramarreta

Thanks for the update. I have tried on my Hi3716C box but cannot get to smooth stream. The app crashes with hardware acceleration turned on. Any suggessions? Any assistance will be much appreciated.

Thanks.
#9
(2018-03-11, 06:04)aman9099 Wrote: Hi tetramarreta

Thanks for the update. I have tried on my Hi3716C box but cannot get to smooth stream. The app crashes with hardware acceleration turned on. Any suggessions? Any assistance will be much appreciated.

Thanks.
Hi,

Sorry for the delay in responding.

You have to send the log to evaluate, I generated a new version, but I send the log.
Hugs
#10
Hi

I've just joined this forum. I've been looking for a version of Kodi that will still run on my old Samsung Tablet GT-P7310 and was delighted to find this post. Unfortunately the link to the Dropbox file is no longer active. Is it still possible to run Kodi on this tablet - which I've managed to upgrade to Android 4.3

I'd be very grateful for any advice.
#11
This looks like a very nice project.
However, can anyone point me in a correct direction to getting Kodi 17 to work on my old Phillips Android TV running 4.2.2?
When I start this application it gets ready to staert for first time, and after that completes it just FC's.
#12
Dear @tetramarreta Could you add Mediaportal PVR Client?
#13
Is It possible to compile Kodi 18 app for non-neon devices or for Android under 5.0 version?
Many STB's don't support Android above 4.4 or 4.2 and we all need Kodi for IPTV and media viewing.
Thank You.
#14
Hello, I would also be very interested in knowing if it is possible to adapt Kodi 18 Leia so that it can work on old devices. Thank you very much.
#15
No,
Get a new device
Read/follow the forum rules.
For troubleshooting and bug reporting, read this first
Interested in seeing some YouTube videos about Kodi? Go here and subscribe
  Thread Closed
 
Thread Rating:
  • 2 Vote(s) - 5 Average



Logout Mark Read Team Forum Stats Members Help
KODI 17.6 NON NEON FOR Tegra 2 and Android 4.0.352
This forum uses Lukasz Tkacz MyBB addons.